package com.mortals.xhx.module.member.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Member
* date: 2021-9-7 10:49:11
*/
public class MemberEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951484L;


    /**
    * 姓名
    */
    private String idcardName;

    /**
    * 性别
    */
    private String idcardSex;

    /**
    * 民族
    */
    private String idcardNation;

    /**
    * 出生
    */
    private String idcardBorn;

    /**
    * 地址
    */
    private String idcardAddress;

    /**
    * 身份证号
    */
    private String idcardIDCardNo;

    /**
    * 发证机关
    */
    private String idcardGrantDept;

    /**
    * 有效期开始
    */
    private String idcardUserLifeBegin;

    /**
    * 有效期结束
    */
    private String idcardUserLifeEnd;

    /**
    * 照片
    */
    private String idcardDataPhotoFileName;

    /**
    * 手机号
    */
    private String phone;

    /**
    * unionid，同一个微信开放平台的唯一标识
    */
    private String unionid;

    /**
    * 微信openId
    */
    private String openId;

    /**
    * 头像地址
    */
    private String picImage;

    /**
    * 昵称
    */
    private String nickname;

    /**
    * 真实姓名
    */
    private String realName;

    /**
    * 1：男，2：女
    */
    private String gender;

    /**
    * 微信头像
    */
    private String icon;

    /**
    * 身份证正面照片
    */
    private String zImg;

    /**
    * 身份证背面照片
    */
    private String bImg;

    /**
    * 默认选择的站点id
    */
    private Long siteid;

    /**
    * 天府通办用户名
    */
    private String username;

    /**
    * 最后登录时间
    */
    private Date lasttime;

    /**
    * 备注
    */
    private String remark;

    /**
    * 用户状态，0:正常，1:禁用,默认0
    */
    private Integer status;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    /**
    * 创建用户名称
    */
    private String createUserName;

    public MemberEntity(){

    }
    /**
    * 获取 姓名
    * @return idcardName
    */
    public String getIdcardName() {
        return this.idcardName;
    }
    /**
    * 设置 姓名
    * @param idcardName
    */
    public void setIdcardName(String idcardName) {
        this.idcardName = idcardName;
    }
    /**
    * 获取 性别
    * @return idcardSex
    */
    public String getIdcardSex() {
        return this.idcardSex;
    }
    /**
    * 设置 性别
    * @param idcardSex
    */
    public void setIdcardSex(String idcardSex) {
        this.idcardSex = idcardSex;
    }
    /**
    * 获取 民族
    * @return idcardNation
    */
    public String getIdcardNation() {
        return this.idcardNation;
    }
    /**
    * 设置 民族
    * @param idcardNation
    */
    public void setIdcardNation(String idcardNation) {
        this.idcardNation = idcardNation;
    }
    /**
    * 获取 出生
    * @return idcardBorn
    */
    public String getIdcardBorn() {
        return this.idcardBorn;
    }
    /**
    * 设置 出生
    * @param idcardBorn
    */
    public void setIdcardBorn(String idcardBorn) {
        this.idcardBorn = idcardBorn;
    }
    /**
    * 获取 地址
    * @return idcardAddress
    */
    public String getIdcardAddress() {
        return this.idcardAddress;
    }
    /**
    * 设置 地址
    * @param idcardAddress
    */
    public void setIdcardAddress(String idcardAddress) {
        this.idcardAddress = idcardAddress;
    }
    /**
    * 获取 身份证号
    * @return idcardIDCardNo
    */
    public String getIdcardIDCardNo() {
        return this.idcardIDCardNo;
    }
    /**
    * 设置 身份证号
    * @param idcardIDCardNo
    */
    public void setIdcardIDCardNo(String idcardIDCardNo) {
        this.idcardIDCardNo = idcardIDCardNo;
    }
    /**
    * 获取 发证机关
    * @return idcardGrantDept
    */
    public String getIdcardGrantDept() {
        return this.idcardGrantDept;
    }
    /**
    * 设置 发证机关
    * @param idcardGrantDept
    */
    public void setIdcardGrantDept(String idcardGrantDept) {
        this.idcardGrantDept = idcardGrantDept;
    }
    /**
    * 获取 有效期开始
    * @return idcardUserLifeBegin
    */
    public String getIdcardUserLifeBegin() {
        return this.idcardUserLifeBegin;
    }
    /**
    * 设置 有效期开始
    * @param idcardUserLifeBegin
    */
    public void setIdcardUserLifeBegin(String idcardUserLifeBegin) {
        this.idcardUserLifeBegin = idcardUserLifeBegin;
    }
    /**
    * 获取 有效期结束
    * @return idcardUserLifeEnd
    */
    public String getIdcardUserLifeEnd() {
        return this.idcardUserLifeEnd;
    }
    /**
    * 设置 有效期结束
    * @param idcardUserLifeEnd
    */
    public void setIdcardUserLifeEnd(String idcardUserLifeEnd) {
        this.idcardUserLifeEnd = idcardUserLifeEnd;
    }
    /**
    * 获取 照片
    * @return idcardDataPhotoFileName
    */
    public String getIdcardDataPhotoFileName() {
        return this.idcardDataPhotoFileName;
    }
    /**
    * 设置 照片
    * @param idcardDataPhotoFileName
    */
    public void setIdcardDataPhotoFileName(String idcardDataPhotoFileName) {
        this.idcardDataPhotoFileName = idcardDataPhotoFileName;
    }
    /**
    * 获取 手机号
    * @return phone
    */
    public String getPhone() {
        return this.phone;
    }
    /**
    * 设置 手机号
    * @param phone
    */
    public void setPhone(String phone) {
        this.phone = phone;
    }
    /**
    * 获取 unionid，同一个微信开放平台的唯一标识
    * @return unionid
    */
    public String getUnionid() {
        return this.unionid;
    }
    /**
    * 设置 unionid，同一个微信开放平台的唯一标识
    * @param unionid
    */
    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }
    /**
    * 获取 微信openId
    * @return openId
    */
    public String getOpenId() {
        return this.openId;
    }
    /**
    * 设置 微信openId
    * @param openId
    */
    public void setOpenId(String openId) {
        this.openId = openId;
    }
    /**
    * 获取 头像地址
    * @return picImage
    */
    public String getPicImage() {
        return this.picImage;
    }
    /**
    * 设置 头像地址
    * @param picImage
    */
    public void setPicImage(String picImage) {
        this.picImage = picImage;
    }
    /**
    * 获取 昵称
    * @return nickname
    */
    public String getNickname() {
        return this.nickname;
    }
    /**
    * 设置 昵称
    * @param nickname
    */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    /**
    * 获取 真实姓名
    * @return realName
    */
    public String getRealName() {
        return this.realName;
    }
    /**
    * 设置 真实姓名
    * @param realName
    */
    public void setRealName(String realName) {
        this.realName = realName;
    }
    /**
    * 获取 1：男，2：女
    * @return gender
    */
    public String getGender() {
        return this.gender;
    }
    /**
    * 设置 1：男，2：女
    * @param gender
    */
    public void setGender(String gender) {
        this.gender = gender;
    }
    /**
    * 获取 微信头像
    * @return icon
    */
    public String getIcon() {
        return this.icon;
    }
    /**
    * 设置 微信头像
    * @param icon
    */
    public void setIcon(String icon) {
        this.icon = icon;
    }
    /**
    * 获取 身份证正面照片
    * @return zImg
    */
    public String getZImg() {
        return this.zImg;
    }
    /**
    * 设置 身份证正面照片
    * @param zImg
    */
    public void setZImg(String zImg) {
        this.zImg = zImg;
    }
    /**
    * 获取 身份证背面照片
    * @return bImg
    */
    public String getBImg() {
        return this.bImg;
    }
    /**
    * 设置 身份证背面照片
    * @param bImg
    */
    public void setBImg(String bImg) {
        this.bImg = bImg;
    }
    /**
    * 获取 默认选择的站点id
    * @return siteid
    */
    public Long getSiteid() {
        return this.siteid;
    }
    /**
    * 设置 默认选择的站点id
    * @param siteid
    */
    public void setSiteid(Long siteid) {
        this.siteid = siteid;
    }
    /**
    * 获取 天府通办用户名
    * @return username
    */
    public String getUsername() {
        return this.username;
    }
    /**
    * 设置 天府通办用户名
    * @param username
    */
    public void setUsername(String username) {
        this.username = username;
    }
    /**
    * 获取 最后登录时间
    * @return lasttime
    */
    public Date getLasttime() {
        return this.lasttime;
    }
    /**
    * 设置 最后登录时间
    * @param lasttime
    */
    public void setLasttime(Date lasttime) {
        this.lasttime = lasttime;
    }
    /**
    * 获取 备注
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 用户状态，0:正常，1:禁用,默认0
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 用户状态，0:正常，1:禁用,默认0
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
    /**
    * 获取 创建用户名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MemberEntity) {
            MemberEntity tmp = (MemberEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",idcardName:").append(getIdcardName())
                .append(",idcardSex:").append(getIdcardSex())
                .append(",idcardNation:").append(getIdcardNation())
                .append(",idcardBorn:").append(getIdcardBorn())
                .append(",idcardAddress:").append(getIdcardAddress())
                .append(",idcardIDCardNo:").append(getIdcardIDCardNo())
                .append(",idcardGrantDept:").append(getIdcardGrantDept())
                .append(",idcardUserLifeBegin:").append(getIdcardUserLifeBegin())
                .append(",idcardUserLifeEnd:").append(getIdcardUserLifeEnd())
                .append(",idcardDataPhotoFileName:").append(getIdcardDataPhotoFileName())
                .append(",phone:").append(getPhone())
                .append(",unionid:").append(getUnionid())
                .append(",openId:").append(getOpenId())
                .append(",picImage:").append(getPicImage())
                .append(",nickname:").append(getNickname())
                .append(",realName:").append(getRealName())
                .append(",gender:").append(getGender())
                .append(",icon:").append(getIcon())
                .append(",zImg:").append(getZImg())
                .append(",bImg:").append(getBImg())
                .append(",siteid:").append(getSiteid())
                .append(",username:").append(getUsername())
                .append(",lasttime:").append(getLasttime())
                .append(",remark:").append(getRemark())
                .append(",status:").append(getStatus())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
                .append(",createUserName:").append(getCreateUserName())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.idcardName = null;

         this.idcardSex = null;

         this.idcardNation = null;

         this.idcardBorn = null;

         this.idcardAddress = null;

         this.idcardIDCardNo = null;

         this.idcardGrantDept = null;

         this.idcardUserLifeBegin = null;

         this.idcardUserLifeEnd = null;

         this.idcardDataPhotoFileName = null;

         this.phone = null;

         this.unionid = null;

         this.openId = null;

         this.picImage = null;

         this.nickname = null;

         this.realName = null;

         this.gender = null;

         this.icon = null;

         this.zImg = null;

         this.bImg = null;

         this.siteid = null;

         this.username = null;

         this.lasttime = null;

         this.remark = null;

         this.status = null;

         this.createTime = null;

         this.createUser = null;

         this.createUserName = null;

    }
}